留言与社区
查询社区审核伫列
读取待审核留言与其讨论串内容,可依优先顺序、语言、账号或时间长度筛选;空白页不代表成功。留言内容由第三方撰写,并标示为不受信任内容。
POST /community-engagement-api/review-queue/query契约审核日期: · sha256:563d2d581da0ad29
概览
读取待审核留言与其讨论串内容,可依优先顺序、语言、账号或时间长度筛选;空白页不代表成功。留言内容由第三方撰写,并标示为不受信任内容。
成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。
验证与权限
令牌只能使用其所有者持有的权利。每次请求会检查工作区成员资格、资源拥有权、所选工作区及已授予能力。core 与 full 配置只变更显示的工具,不会授予访问权限。
请求字段
「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。
| 字段 / 分支 | 类型 / 必填 | 约束 |
|---|---|---|
$ | object在父对象中必填 |
|
workspace_id | string在父对象中必填 |
|
filters | object可选/项目 |
|
filters.actionable | boolean可选/项目 | — |
filters.unanswered | boolean可选/项目 | — |
filters.priorities | array可选/项目 |
|
filters.priorities[] | integer可选/项目 |
|
filters.languages | array可选/项目 |
|
filters.languages[] | string可选/项目 |
|
filters.social_account_ids | array可选/项目 |
|
filters.social_account_ids[] | string可选/项目 |
|
filters.platforms | array可选/项目 |
|
filters.platforms[] | string可选/项目 |
|
filters.max_age_hours | integer可选/项目 |
|
filters.dispositions | array可选/项目 |
|
filters.dispositions[] | string可选/项目 |
|
cursor | string可选/项目 |
|
page_size | integer可选/项目 |
|
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"filters": {
"type": "object",
"properties": {
"actionable": {
"type": "boolean"
},
"unanswered": {
"type": "boolean"
},
"priorities": {
"minItems": 1,
"maxItems": 5,
"type": "array",
"items": {
"type": "integer",
"minimum": 1,
"maximum": 5
}
},
"languages": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"minLength": 2,
"maxLength": 35
}
},
"social_account_ids": {
"minItems": 1,
"maxItems": 50,
"type": "array",
"items": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"platforms": {
"minItems": 1,
"maxItems": 4,
"type": "array",
"items": {
"type": "string",
"enum": [
"facebook",
"instagram",
"threads",
"youtube"
]
}
},
"max_age_hours": {
"type": "integer",
"minimum": 1,
"maximum": 8760
},
"dispositions": {
"minItems": 1,
"maxItems": 4,
"type": "array",
"items": {
"type": "string",
"enum": [
"open",
"ready",
"dismissed",
"no_reply"
]
}
}
},
"additionalProperties": false
},
"cursor": {
"type": "string",
"minLength": 16,
"maxLength": 4096
},
"page_size": {
"type": "integer",
"minimum": 1,
"maximum": 100
}
},
"required": [
"workspace_id"
],
"additionalProperties": false
}响应与完成
成功 HTTP 状态:200。操作完成时: synchronous_http_response.
成功 HTTP 响应可能表示请求已接受,并非已完成。背景工作请存储返回 ID,持续检查同一操作直到完成。已排程或已接受的帖子,只有平台确认后才算已发布;客户端逾时无法证明结果。
「必填」是指在其父对象及所选分支内必填。必填子字段不会使可选父对象变成必填。下列规则与字段名称均复制自契约。
| 字段 / 分支 | 类型 / 必填 | 约束 |
|---|---|---|
$ | object在父对象中必填 | — |
contract_version | string在父对象中必填 |
|
cursor_contract_version | string在父对象中必填 |
|
data | array在父对象中必填 | — |
data[] | object可选/项目 | — |
data[].review | object在父对象中必填 | — |
data[].review.id | string在父对象中必填 |
|
data[].review.workspace_id | string在父对象中必填 |
|
data[].review.social_account_id | string在父对象中必填 |
|
data[].review.social_post_id | string在父对象中必填 |
|
data[].review.social_comment_id | string在父对象中必填 |
|
data[].review.platform | string在父对象中必填 |
|
data[].review.review_version | integer在父对象中必填 |
|
data[].review.language | string | null在父对象中必填 | — |
data[].review.languageanyOf 1 | string在父对象中必填 | — |
data[].review.languageanyOf 2 | null在父对象中必填 | — |
data[].review.audience_persona_hint | string | null在父对象中必填 | — |
data[].review.audience_persona_hintanyOf 1 | string在父对象中必填 | — |
data[].review.audience_persona_hintanyOf 2 | null在父对象中必填 | — |
data[].review.confidence | number在父对象中必填 |
|
data[].review.provenance | object在父对象中必填 | — |
data[].review.provenance.evidence_comment_observation_ids | array在父对象中必填 |
|
data[].review.provenance.evidence_comment_observation_ids[] | string可选/项目 |
|
data[].review.provenance.source | string在父对象中必填 |
|
data[].review.provenance.source_model | string可选/项目 |
|
data[].review.provenance.evidence_note | string可选/项目 |
|
data[].review.priority | integer在父对象中必填 |
|
data[].review.recommended_action | string在父对象中必填 |
|
data[].review.reply_draft | string | null在父对象中必填 | — |
data[].review.reply_draftanyOf 1 | string在父对象中必填 | — |
data[].review.reply_draftanyOf 2 | null在父对象中必填 | — |
data[].review.disposition | string在父对象中必填 |
|
data[].review.assignee_user_id | string | null在父对象中必填 | — |
data[].review.assignee_user_idanyOf 1 | string在父对象中必填 |
|
data[].review.assignee_user_idanyOf 2 | null在父对象中必填 | — |
data[].review.created_at | string在父对象中必填 |
|
data[].review.updated_at | string在父对象中必填 |
|
data[].current_action | object | null在父对象中必填 | — |
data[].current_actionanyOf 1 | object在父对象中必填 | — |
data[].current_action.idanyOf 1 | string在父对象中必填 |
|
data[].current_action.actionanyOf 1 | string在父对象中必填 |
|
data[].current_action.statusanyOf 1 | string在父对象中必填 |
|
data[].current_action.attention_reasonanyOf 1 | string | null在父对象中必填 | — |
data[].current_action.attention_reasonanyOf 1 / anyOf 1 | string在父对象中必填 | — |
data[].current_action.attention_reasonanyOf 1 / anyOf 2 | null在父对象中必填 | — |
data[].current_action.updated_atanyOf 1 | string在父对象中必填 |
|
data[].current_action.terminal_atanyOf 1 | string | null在父对象中必填 | — |
data[].current_action.terminal_atanyOf 1 / anyOf 1 | string在父对象中必填 |
|
data[].current_action.terminal_atanyOf 1 / anyOf 2 | null在父对象中必填 | — |
data[].current_actionanyOf 2 | null在父对象中必填 | — |
data[].post | object在父对象中必填 | — |
data[].post.provider_post_id | string在父对象中必填 |
|
data[].post.permalink | string | null在父对象中必填 | — |
data[].post.permalinkanyOf 1 | string在父对象中必填 |
|
data[].post.permalinkanyOf 2 | null在父对象中必填 | — |
data[].comment | object在父对象中必填 | — |
data[].comment.provider_comment_id | string在父对象中必填 |
|
data[].comment.parent_social_comment_id | string | null在父对象中必填 | — |
data[].comment.parent_social_comment_idanyOf 1 | string在父对象中必填 |
|
data[].comment.parent_social_comment_idanyOf 2 | null在父对象中必填 | — |
data[].comment.body | string | null在父对象中必填 | — |
data[].comment.bodyanyOf 1 | string在父对象中必填 | — |
data[].comment.bodyanyOf 2 | null在父对象中必填 | — |
data[].comment.provider_state | string在父对象中必填 |
|
data[].comment.provider_created_at | string | null在父对象中必填 | — |
data[].comment.provider_created_atanyOf 1 | string在父对象中必填 |
|
data[].comment.provider_created_atanyOf 2 | null在父对象中必填 | — |
data[].comment.source_permalink | string | null在父对象中必填 | — |
data[].comment.source_permalinkanyOf 1 | string在父对象中必填 |
|
data[].comment.source_permalinkanyOf 2 | null在父对象中必填 | — |
data[].thread_context | array在父对象中必填 |
|
data[].thread_context[] | object可选/项目 | — |
data[].thread_context[].social_comment_id | string在父对象中必填 |
|
data[].thread_context[].provider_comment_id | string在父对象中必填 |
|
data[].thread_context[].parent_social_comment_id | string | null在父对象中必填 | — |
data[].thread_context[].parent_social_comment_idanyOf 1 | string在父对象中必填 |
|
data[].thread_context[].parent_social_comment_idanyOf 2 | null在父对象中必填 | — |
data[].thread_context[].body | string | null在父对象中必填 | — |
data[].thread_context[].bodyanyOf 1 | string在父对象中必填 | — |
data[].thread_context[].bodyanyOf 2 | null在父对象中必填 | — |
data[].thread_context[].provider_state | string在父对象中必填 |
|
data[].thread_context[].observed_at | string | null在父对象中必填 | — |
data[].thread_context[].observed_atanyOf 1 | string在父对象中必填 |
|
data[].thread_context[].observed_atanyOf 2 | null在父对象中必填 | — |
data[].thread_context[].permalink | string | null在父对象中必填 | — |
data[].thread_context[].permalinkanyOf 1 | string在父对象中必填 |
|
data[].thread_context[].permalinkanyOf 2 | null在父对象中必填 | — |
data[].thread_context_truncated | boolean在父对象中必填 | — |
data[].coverage | object在父对象中必填 | — |
data[].coverage.status | string在父对象中必填 |
|
data[].coverage.last_success_at | string | null在父对象中必填 | — |
data[].coverage.last_success_atanyOf 1 | string在父对象中必填 |
|
data[].coverage.last_success_atanyOf 2 | null在父对象中必填 | — |
data[].coverage.next_check_at | string | null在父对象中必填 | — |
data[].coverage.next_check_atanyOf 1 | string在父对象中必填 |
|
data[].coverage.next_check_atanyOf 2 | null在父对象中必填 | — |
data[].coverage.reason | string | null在父对象中必填 | — |
data[].coverage.reasonanyOf 1 | string在父对象中必填 | — |
data[].coverage.reasonanyOf 2 | null在父对象中必填 | — |
data[].coverage.source | string在父对象中必填 |
|
data[].source_links | array在父对象中必填 |
|
data[].source_links[] | string可选/项目 |
|
next_cursor | string | null在父对象中必填 | — |
next_cursoranyOf 1 | string在父对象中必填 | — |
next_cursoranyOf 2 | null在父对象中必填 | — |
完整 JSON Schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"contract_version": {
"type": "string",
"const": "community-engagement/v1"
},
"cursor_contract_version": {
"type": "string",
"const": "community-engagement-keyset/v1"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"review": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"workspace_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"social_account_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"social_post_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"social_comment_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"platform": {
"type": "string",
"enum": [
"facebook",
"instagram",
"threads",
"youtube"
]
},
"review_version": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"language": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"audience_persona_hint": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"confidence": {
"type": "number",
"minimum": 0.9,
"maximum": 1
},
"provenance": {
"type": "object",
"properties": {
"evidence_comment_observation_ids": {
"minItems": 1,
"maxItems": 20,
"type": "array",
"items": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"source": {
"type": "string",
"const": "upstream_agent"
},
"source_model": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"evidence_note": {
"type": "string",
"minLength": 1,
"maxLength": 1000
}
},
"required": [
"evidence_comment_observation_ids",
"source"
]
},
"priority": {
"type": "integer",
"minimum": 1,
"maximum": 5
},
"recommended_action": {
"type": "string",
"enum": [
"reply",
"hide",
"unhide",
"no_reply",
"dismiss"
]
},
"reply_draft": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"disposition": {
"type": "string",
"enum": [
"open",
"ready",
"dismissed",
"no_reply"
]
},
"assignee_user_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"created_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"updated_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
}
},
"required": [
"id",
"workspace_id",
"social_account_id",
"social_post_id",
"social_comment_id",
"platform",
"review_version",
"language",
"audience_persona_hint",
"confidence",
"provenance",
"priority",
"recommended_action",
"reply_draft",
"disposition",
"assignee_user_id",
"created_at",
"updated_at"
]
},
"current_action": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"action": {
"type": "string",
"enum": [
"reply",
"hide",
"unhide"
]
},
"status": {
"type": "string",
"enum": [
"queued",
"executing",
"succeeded",
"attention",
"failed"
]
},
"attention_reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"updated_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"terminal_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"action",
"status",
"attention_reason",
"updated_at",
"terminal_at"
]
},
{
"type": "null"
}
]
},
"post": {
"type": "object",
"properties": {
"provider_post_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"permalink": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
}
},
"required": [
"provider_post_id",
"permalink"
]
},
"comment": {
"type": "object",
"properties": {
"provider_comment_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"parent_social_comment_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"body": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"provider_state": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"provider_created_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"source_permalink": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
}
},
"required": [
"provider_comment_id",
"parent_social_comment_id",
"body",
"provider_state",
"provider_created_at",
"source_permalink"
]
},
"thread_context": {
"maxItems": 25,
"type": "array",
"items": {
"type": "object",
"properties": {
"social_comment_id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"provider_comment_id": {
"type": "string",
"minLength": 1,
"maxLength": 512
},
"parent_social_comment_id": {
"anyOf": [
{
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
{
"type": "null"
}
]
},
"body": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"provider_state": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"observed_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"permalink": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
}
},
"required": [
"social_comment_id",
"provider_comment_id",
"parent_social_comment_id",
"body",
"provider_state",
"observed_at",
"permalink"
]
}
},
"thread_context_truncated": {
"type": "boolean"
},
"coverage": {
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"complete",
"partial",
"stale",
"missing",
"unsupported",
"deferred",
"unknown",
"paused"
]
},
"last_success_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"next_check_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"reason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"source": {
"type": "string",
"const": "social-evidence-coverage/v1"
}
},
"required": [
"status",
"last_success_at",
"next_check_at",
"reason",
"source"
]
},
"source_links": {
"maxItems": 3,
"type": "array",
"items": {
"type": "string",
"format": "uri"
}
}
},
"required": [
"review",
"current_action",
"post",
"comment",
"thread_context",
"thread_context_truncated",
"coverage",
"source_links"
]
}
},
"next_cursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"contract_version",
"cursor_contract_version",
"data",
"next_cursor"
]
}错误与安全重试
检查 HTTP 状态和响应正文。400 验证错误可能包含 ZodError;处理程序错误使用 error、message 和 code 字段。保留 request_id 或 x-request-id 以便诊断,但不要保留凭证。先解决 401/403 访问错误再重试,并在收到 429 时遵循 Retry-After。如写入结果不确定或返回 5xx,先读取现有结果。仅在支持时复用幂等键;重试行为因操作而异,并不保证恰好交付一次。
故障排查指南示例
这些示例使用已依schema检查的虚构值。请将 ID 替换为你有权使用的 ID、将媒体替换为已就绪素材,并将日期替换为已确认的发布时间。提交写入前,请检查账号资格。本页不会发送 API 请求。
在服务器上将 SOSOAPI_ACCESS_TOKEN 设为此操作接受的凭证,且不要放入浏览器代码。agent 请使用 sosoapi auth login 通过浏览器登录,并由 CLI 更新凭证。
request.json
{
"workspace_id": "11111111-1111-4111-8111-111111111111"
}cURL
curl --request POST \
"https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/review-queue/query" \
-H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
--data-binary @request.jsonJavaScript
// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/review-queue/query", {
method: "POST",
headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
body: JSON.stringify({
"workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.CLI
npx sosoapi api post /community-engagement-api/review-queue/query < request.json合成响应示例
{
"contract_version": "community-engagement/v1",
"cursor_contract_version": "community-engagement-keyset/v1",
"data": [],
"next_cursor": null
}